%global fontname openfontlibrary-smonohand
%global fontconf 65-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        20090423
Release:        1%{?dist}
Summary:        A handwritten monospace font

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/dalles/403
Source0:        http://openfontlibrary.org/people/dalles/dalles_-_SMonohand.ttf
Source1:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
SMonohand is a handwritten monospace Latin font with German
characters. It is comparable to Microsoft's Comic Sans or Apple's
Chalkboard.

%_font_pkg -f %{fontconf} *.ttf


%prep


%build


%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{SOURCE0} %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
   %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Sep 30 2009 Michel Salim <salimma@fedoraproject.org> - 20090423-1
- Initial package

